Package org.eclipse.graphiti.ui.internal.parts.directedit

# Class ContentProposalListener

java.lang.Object
org.eclipse.graphiti.ui.internal.parts.directedit.ContentProposalListener

All Implemented Interfaces:
  `org.eclipse.jface.fieldassist.IContentProposalListener`

public class ContentProposalListener extends Object implements org.eclipse.jface.fieldassist.IContentProposalListener

## Constructor Summary

Constructors
Constructor
Description
`ContentProposalListener(TextCellEditor textCellEditor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`proposalAccepted(org.eclipse.jface.fieldassist.IContentProposal proposal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentProposalListener

public ContentProposalListener(TextCellEditor textCellEditor)

## Method Details

### proposalAccepted

public void proposalAccepted(org.eclipse.jface.fieldassist.IContentProposal proposal)

Specified by:
  `proposalAccepted` in interface `org.eclipse.jface.fieldassist.IContentProposalListener`